> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all tickets

> Get all tickets in a project with support for filtering, sorting, and pagination.

**Filtering:**
- Filter by type: `type=BUG` or `type=BUG,FEATURE_REQUEST`
- Filter by status: `status=OPEN`
- Filter by priority: `priority=HIGH` or `priority=HIGH,MEDIUM`
- Filter by archived state: `archived=false` or `ignoreArchived=true`
- Filter by spam: `isSpam=false`

**Sorting:**
- Sort by creation date: `sort=-createdAt` (newest first) or `sort=createdAt` (oldest first)
- Sort by priority: `sort=priority` (ascending: LOW, MEDIUM, HIGH) or `sort=-priority` (descending)
- Sort by updated date: `sort=-updatedAt`

**Pagination:**
- Limit results: `limit=20` (default up to 1000)
- Skip results: `skip=0` (for pagination: `skip=(page-1)*limit`)



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /tickets
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /tickets:
    get:
      tags:
        - Ticket
      summary: Get all tickets
      description: >-
        Get all tickets in a project with support for filtering, sorting, and
        pagination.


        **Filtering:**

        - Filter by type: `type=BUG` or `type=BUG,FEATURE_REQUEST`

        - Filter by status: `status=OPEN`

        - Filter by priority: `priority=HIGH` or `priority=HIGH,MEDIUM`

        - Filter by archived state: `archived=false` or `ignoreArchived=true`

        - Filter by spam: `isSpam=false`


        **Sorting:**

        - Sort by creation date: `sort=-createdAt` (newest first) or
        `sort=createdAt` (oldest first)

        - Sort by priority: `sort=priority` (ascending: LOW, MEDIUM, HIGH) or
        `sort=-priority` (descending)

        - Sort by updated date: `sort=-updatedAt`


        **Pagination:**

        - Limit results: `limit=20` (default up to 1000)

        - Skip results: `skip=0` (for pagination: `skip=(page-1)*limit`)
      operationId: GetTickets
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
              examples:
                Example 1:
                  value:
                    tickets:
                      - _id: 507f1f77bcf86cd799439011
                        id: 507f1f77bcf86cd799439011
                        title: Login button not working
                        formData:
                          description: Users cannot log in when clicking the login button
                        type: BUG
                        status: OPEN
                        priority: HIGH
                        createdAt: '2024-01-15T10:30:00.000Z'
                        updatedAt: '2024-01-15T11:45:00.000Z'
                        processingUser:
                          _id: 507f1f77bcf86cd799439012
                          email: support@example.com
                          firstName: John
                          lastName: Doe
                        session:
                          _id: 507f1f77bcf86cd799439013
                          email: user@example.com
                        latestComment:
                          _id: 507f1f77bcf86cd799439014
                          data:
                            content: Any update on this issue?
                    count: 1
                    totalCount: 42
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````